Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class ElementRecognizer.ByLocalName

    java.lang.Object
      org.biojava.bio.seq.io.agave.ElementRecognizer.ByLocalName

All Implemented Interfaces:
  ElementRecognizer

Enclosing interface:
  ElementRecognizer

    public static class ElementRecognizer.ByLocalName

extends Object
implements ElementRecognizer

Filter elements by local name (not recommended).

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.io.agave.ElementRecognizer
`ElementRecognizer.AllElementRecognizer, ElementRecognizer.ByLocalName, ElementRecognizer.ByNSName, ElementRecognizer.HasAttribute`

Field Summary

Fields inherited from interface org.biojava.bio.seq.io.agave.ElementRecognizer
`ALL`

Constructor Summary
`ElementRecognizer.ByLocalName(String localName)`

Method Summary
`boolean` | `filterStartElement(String nsURI, String localName, String qName, Attributes attrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementRecognizer.ByLocalName

    public ElementRecognizer.ByLocalName(String localName)

Method Detail

### filterStartElement

    public boolean filterStartElement(String nsURI,
                                      String localName,
                                      String qName,
                                      Attributes attrs)

  Specified by:
    `filterStartElement` in interface `ElementRecognizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD